package com.aliyun.mts.domain;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

public class OSSFileDO {
    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public void setObject(String object) {
        this.object = object;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String toJsonString() {
        return JSONObject.toJSONString(this);
    }


    public OSSFileDO() {

    }

    public String getLocation() {
        return location;
    }

    public String getBucket() {
        return bucket;
    }

    public String getObject() {
        return object;
    }

    public OSSFileDO(String location, String bucket, String object) {
        this.location = location;
        this.bucket = bucket;
        this.object = object;
    }

    @JSONField(name = "Location")
    private String location;
    @JSONField(name = "Bucket")
    private String bucket;
    @JSONField(name = "Object")
    private String object;

}
